; This is a comment. Anything starting with a semicolon is a comment
; and will be ignored by the parser. Blanks lines are also ignored.
;
; The file uses standard info file format:
; attribute = value

; REQUIRED ATTRIBUTES

; The Drush Make API version. This should always be 2.
api = 2

; The version of Drupal the profile is built for. You must include both a
; major and a minor release - just specifying 7.x won't work
; TODO: We should change this at http://drupal.org/node/1440412 if possible
core = 7.12

; However, if you're trying to define patches for core, grab a -dev release, or do
; anything more fancy than an official release, you need to put all of that into a
; separate 'drupal-org-core.make' file. See below for details.

; OPTIONAL ATTRIBUTES

; Here you see the format of an array in a .make file. Text enclosed
; in brackets are array keys, and each set to the right of the last is
; a layer deeper in the array. Note that the root array element is
; not enclosed in brackets:
; root_element[first_key][next_key] = value

; The 'projects' attribute is where you define the modules/themes that
; are to be packaged with the profile. The first key is the short name
; of the project (as seen in the drupal.org/project/{projectshortname}
; URI).

; These projects are defined using the short form definition. You can
; use this form if you only want to declare the version of the project.
; The version is the value to the right of the core Drupal version in a full
; version string. For example, if you wanted to specify Views 7.x-3.1,
; you would use:
projects[views] = 3.1

; For pre-releases, like CTools 7.x-1.0-rc1, use this format:
projects[ctools] = 1.0-rc1

; You can also specify -dev releases of projects; however, this is
; generally NOT recommended, since it results in end users getting
; different sets of files at different times that distribution is
; built, which can cause confusing bug reports.
projects[media] = 2.x-dev

; To define more attributes for a specific project than just the version,
; create another layer of array keys. In the example below, both the
; projects will be placed in a subdirectory of the modules folder.
; Note that if the long form is used, the version key *must* be defined
; for the project!
projects[media_youtube][version] = 1.0-alpha5
projects[media_youtube][subdir] = media_plugins
projects[media_flickr][version] = 1.0-alpha1
projects[media_flickr][subdir] = media_plugins

; Defining a theme is no different.
projects[rubik] = 4.0-beta7

; You can also include patches in your profile by using a patch key
; for the project to be patched. Any patches applied to a given
; distribution release are displayed on the release node.
; Note that the patch *must* reside on drupal.org.
projects[rubik][patch][] = "http://drupal.org/files/rubik-print-css.patch"

; To include a code library external to the Drupal project, such as
; jQuery UI or TinyMCE, you can include them using the libraries
; attribute, specifying at least the download type and url.
; Note that any referenced third-party libraries *must* be listed at
; http://drupal.org/packaging-whitelist
libraries[jquery.cycle][download][type] = get
libraries[jquery.cycle][download][url] = http://malsup.com/jquery/cycle/release/jquery.cycle.zip?v2.99
libraries[jquery.cycle][destination] = libraries

; Finally, you can also reference code from a Drupal.org git repository;
; either a branch, tag or specific revision. Note that if you define a revision
; you *must* specify the branch so it knows which project version you're using.
projects[draggableviews][type] = module
projects[draggableviews][download][type] = git
projects[draggableviews][download][revision] = 9677bc18b7255e13c33ac3cca48732b855c6817d
projects[draggableviews][download][branch] = 7.x-2.x

projects[ns_core][type] = module
projects[ns_core][download][type] = git
projects[ns_core][download][branch] = 7.x-2.x
